"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = addonProcessTree;
function addonProcessTree(projectOrAddon, hook, processType, tree) {
  return projectOrAddon.addons.reduce(function (workingTree, addon) {
    if (addon[hook]) {
      return addon[hook](processType, workingTree);
    }

    return workingTree;
  }, tree);
}