'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = addonTree;

var _broccoliFunnel = require('broccoli-funnel');

var _broccoliFunnel2 = _interopRequireDefault(_broccoliFunnel);

var _semver = require('semver');

var _semver2 = _interopRequireDefault(_semver);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function addonTree(addonName, project) {
  var addon = project.findAddonByName(addonName);
  var tree = addon.treeFor('addon');
  var options = {};

  if (_semver2.default.lt(project.emberCLIVersion(), '2.13.0')) {
    options.srcDir = 'modules';
  }

  return new _broccoliFunnel2.default(tree, options);
}